Jump to content

Layout editing?


RRS1987

Recommended Posts

hello,

I have one drawing, which has 79 layouts itself. I want to delete some same objects for all layout.

Is there any command to edit all layout at one time.

thanks in advance.

Link to comment
Share on other sites

Hi,

thanks Mr.dadgad.

I have template in each layout, which having keyplan, notes, barscale and block attribute.

Actually i want to edit keyplan, notes, barscale , which is not in block.

thanks once again.

I waiting for your valuable assistance.

Link to comment
Share on other sites

So, if the items occur in each Layout, then I think that an AutoLISP routine should be the answer, but only if those items have consistent properties. The drawback of this solution is that may take longer to develop than to do the modifications manually.

 

You can try to modify one layout, copy the changed items into Clipboard and parse each Layout to replace them - this will work also if those have consistent properties along Layouts.

 

Regards,

Mircea

Link to comment
Share on other sites

I would expect that what you really want to do is to turn off certain layers in different layouts, leaving only those layers turned on which are appropriate in each layout.

Link to comment
Share on other sites

If all the objects are at the same location then pretty easy use a script starting with (command "setvar" "ctab" "layoutname") the do your thing (command "erase" "W" 0,0 50,35 "") bit of a pain 79 times.

 

Anyway heres a start via lisp sometimes people have nearly what you want

 

(setq doc (vla-get-activedocument (vlax-get-acad-object)))
(vlax-for lay (vla-get-Layouts doc)
 (setq plotabs (cons (vla-get-name lay) plotabs))
)
(setq plottablist (acad_strlsort plotabs))
(setq len (length plottablist))
(setvar "osmode" 0)
(setq K 0)
(repeat len
 (setq name (nth K plottablist))
 (princ name)
 (if (/= name "Model")
   (progn
   (setvar "ctab" name)
   (command "zoom" "E") ;put what you want to here as many lines as you want like (command "erase" "W" 0,0 50,35 "")
   ) ;end progn
) ; end if
(setq K (+ K 1))
(setq ss2 '())
) ; end repeat

yeah I know foreach plotab

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...